Subject: [bug#63647] [PATCH 0/2] Fix annoyance with "guix import go"

From: Simon Tournier <[email-masked]>
Date: Thu, 20 Feb 2025 11:42:02 +0100

Hi Oleg,

On Fri, 14 Feb 2025 at 01:25, Sharlatan Hellseher <[email-masked]> wrote:

> It looks like we achieved improvements in importer already 
> which covers this issue.
>
> I'd vote for closing this and open a fresh thread after importing 
> more packages. I did import 1700+ already without much trouble.

Cool!

If I read correctly, “[PATCH v3 2/3] guix: import: go: Catch Git error“
is somehow included with 57fa06352e9f4019298ffda3c066bab7538c8906.

What about these two other patches

--8<---------------cut here---------------start------------->8---
[PATCH v3 1/3] guix: import: go: Sort hint about available versions.

* guix/import/go.scm (validate-version): Sort available versions.
---
 guix/import/go.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)
--8<---------------cut here---------------end--------------->8---

and

--8<---------------cut here---------------start------------->8---
[PATCH v3 3/3] guix: import: go: Use correct tag for go module in subdirectory.

* guix/import/go.scm (vcs->origin): New argument module-path-subdirectory.
Use it to get Git tag as described by <https://go.dev/ref/mod>.

Co-authored-by: Simon Tournier <[email-masked]>
--8<---------------cut here---------------end--------------->8---

?

Cheers,
simon